| More docs on the ARB website. See also index of helppages. Last update on 22. May 2026 .

Main topics: ARB: a Short Introduction Glossary | Related topics: GDE Extended Menu ARB: Database ARB environment variables
# ARB: Basic ARB-Shell Commands OCCURRENCE COMMANDS NOTES WARNINGS BUGS ## OCCURRENCE
### shell
## COMMANDS
### 'arb [filename]' Starts the main program ARB_NT which also includes the database server. The database server is memory based. That means: All changes are only temporary until the database is saved. The database is a single file which can be copied, deleted, renamed ... The database file should have the suffix '.arb'. ### 'arb_clean' Stops all your ARB processes and removes all temporary files in the /tmp directory. It does not kill non-arb processes. That means if you start programs via the GDE interface you have to stop them yourself: (phylip, desoete, ...)
    enter 'ps -ux'   or 'ps -f'
    search the process-id PID and kill it with
    'kill -9 PID'
### 'arb_panic' Sends a signal (HANGUP) to ARB_NT to force saving the database in ASCII mode. Because arb_panic bypasses any running operation of ARB_NT, THE SAVED DATABASE MAY CONTAIN INCONSISTENT DATA. It interactively asked for file name and whether it should kill arb after saving. ### 'arb_2_ascii filename [dest_filename]' Converts any ARB database to ASCII format. Also tries to recover corrupt files (if dest_filename is skipped). Backup first!!! ### ´arb_2_bin [-m] [-r] [-c][tree_xxx] database [newdatabase]´ Purpose: Converts a database to binary format
    Options:
             -m            create map file too
             -r            try to repair destroyed database
             -c[tree_xxx]  optimize database using tree_xxx or largest tree
## NOTES
### It is very useful to start a performance meter to see whether there are running background jobs (fastdnaml, phylip...) ### All arb_... commands show some basic usage info if you call them with parameter '--help' i.e. arb_ntree --help
## WARNINGS
### Don't destroy an existing arb file with arb_panic.
## BUGS
### No bugs known